{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 2,
	"name": "homegrade-content-blocks/timeline",
	"version": "0.1.0",
	"title": "Timeline",
	"category": "homegrade-blocks",
	"description": "Pour la création de timeline",
	"supports": {
		"html": false,
		"anchor": true
	},
	"textdomain": "homegrade-blocks",
	"editorScript": "file:./index.js",
	"editorStyle": "file:./index.css",
	"style": "file:./style-index.css",
	"attributes": {
		"hasTitle": {
			"type": "boolean",
			"default": true
		},
		"blockTitle": {
			"type": "string"
		},
		"blockSubtitle": {
			"type": "string"
		},
		"headingLevel": {
			"type": "string",
			"default": "h3"
		},
		"hasLateralCover": {
			"type": "boolean",
			"default": false
		},
		"lateralCoverId": {
			"type": "number"
		},
		"lateralCoverUrl": {
			"type": "string"
		},
		"lateralCoverAlt": {
			"type": "string"
		},
		"lateralCoverAlt": {
			"type": "string"
		},
		"lateralCoverCaption": {
			"type": "string"
		},
		"lateralCoverDescription": {
			"type": "string"
		},
		"hasStepPictures": {
			"type": "boolean",
			"default": true
		},
		"hasStepIcons": {
			"type": "boolean",
			"default": true
		},
		"lateralPicturesFormat": {
			"type": "string",
			"default": "md"
		}
	}
}